Subject: "git clone" can't clone a gitweb URL

From: Liu Yubao <[email-masked]>
Date: Mon, 06 Nov 2006 16:32:04 +0800

$ git clone http://repo.or.cz/w/i18n.git
error: Can't lock ref
rm: cannot remove directory `i18n/.git/clone-tmp': Directory not emp
ty

At last I found the URL was a gitweb URL not for mirroring.

It's better git provides clear information like "This is maybe a
gitweb URL, view it in web browser for more information", or
gitweb can send a redirection response to git client. Even more,
git-daemon also can send redirection response to tell git client
that the service is offline temporarily and it can use an alternative